Bug 143074 - (IT_57606) autofs variables not passed on to submounts
autofs variables not passed on to submounts
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: autofs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
Depends On:
Blocks: 132991
  Show dependency treegraph
Reported: 2004-12-16 06:50 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2005-178
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-19 18:05:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
autofs-4.1.3-submount-arg.patch (3.56 KB, patch)
2004-12-16 06:53 EST, Bastien Nocera
no flags Details | Diff
This patch should address the propagation of variables to submounts. (1.64 KB, patch)
2005-03-01 16:36 EST, Jeffrey Moyer
no flags Details | Diff
Strip spaces from the end of the 'loc' string. (729 bytes, patch)
2005-04-22 16:14 EDT, Jeffrey Moyer
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2004-12-16 06:50:50 EST
if /sbcimp is handled by the automounter, and a submount is defined
for /sbcimp/dyn/logfiles, variables passed to the automounter for
/sbcimp won't be passed for the submount.
Comment 1 Bastien Nocera 2004-12-16 06:53:00 EST
Created attachment 108685 [details]

Patch from Ian McLeod <imcleod@redhat.com> (in case it wasn't clear from the
patch ;)
Comment 2 Ian McLeod 2004-12-28 15:58:10 EST
> Patch from Ian McLeod <imcleod@redhat.com> (in case it wasn't clear 
> from the patch ;)

Heh.  I guess it is a bit over-annotated.  Any thoughts on when this
might be incorporated into an updated autofs package?
Comment 3 Bastien Nocera 2005-01-04 06:54:14 EST
It's on track for RHEL3 Update 5.
Comment 6 Jeffrey Moyer 2005-03-01 16:36:36 EST
Created attachment 111552 [details]
This patch should address the propagation of variables to submounts.

This is the patch from upstream.  I have tested it in my environment and it
Comment 7 Jeffrey Moyer 2005-03-01 16:38:26 EST
A package containing this fix was committed to the RHEL 3 pool.  The
package version is 4.1.3-104.  Please test this during the beta window.

Comment 9 Jeffrey Moyer 2005-04-21 15:47:09 EDT
We're investigating this.
Comment 10 Jeffrey Moyer 2005-04-21 16:35:59 EDT
The logs indicate that autofs is using the YP maps, but it appears that the maps
included in the bug report are the file maps from /etc/.

Could you please include the output from:

ypcat -k auto.local
ypcat -k auto.sub1
ypcat -k auto.sub2
Comment 12 Jeffrey Moyer 2005-04-22 16:14:09 EDT
Created attachment 113574 [details]
Strip spaces from the end of the 'loc' string.

We've reproduced the problem in-house, and have come up with this patch to fix
it.  Spaces were not being stripped from the map name, causing this problem. 
With the attached patch, everything is working as expected.

You can find RPMS with the patch applied at:

Please retest and update this bug with your results.
Comment 13 Daniel Berrange 2005-04-25 05:16:04 EDT
Jeff, I've just tested with this -124 version of autofs and the submount maps
are working as expected now & the map variables are getting correctly passed to
the submount daemons. So this version looks good to resolve this bug.

Comment 14 Dennis Gregorovic 2005-05-19 18:05:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.